const defaultConfig = {
    API_PREFIX: (process.env.API_PREFIX || ''),
    PUBLIC_PATH: (process.env.PUBLIC_PATH || './'),
    HOME_PAGE_PATH: (process.env.HOME_PAGE_PATH || '/'),
    ALLOW_MAX_COUNT: (process.env.ALLOW_MAX_COUNT || 600000),

    SYNC_CHECK_MAX_WORD_COUNT: (process.env.SYNC_CHECK_MAX_WORD_COUNT || 20000),
    // 是否允许扫描
    APP_NAME: 'AI校对王',
    // 用户登录凭证key
    LOGIN_TOKEN_KEY: 'ai_login_token',
    // 二维码过期时间
    QR_EXPIRE_TIME: 300000
}
export const AppConfig = {
    development: {
        ...defaultConfig,
        WEB_PATH: 'http://gm1.zverse.group',
    },
    test: {
        ...defaultConfig,
        WEB_PATH: 'http://gm1.zverse.group',
    },
    preview: {
        ...defaultConfig,
        WEB_PATH: 'https://pre-gm.gachafun.com',
        QR_EXPIRE_TIME: 600000
    },
    production: {
        ...defaultConfig,
        WEB_PATH: 'https://gm.gachafun.com',
        QR_EXPIRE_TIME: 600000
    }
}
export const BuildEnvName = process.env.ENV_NAME || ''
