import { post } from '@package/service/request.ts';
import { SecuritiesInfo, SecuritiesInfoDto } from '@/stock-query/service/types.ts';

/**
 * 查询上市公司收益信息
 * @param stockCompanyName
 */
export async function queryStockInfo(stockCompanyName: string) {
	const info = await post<{
		securities_info: SecuritiesInfoDto
	}>('/api/announce/trade', { security_name: stockCompanyName });
	return {
		securities_code: info.securities_info.securities_code,
		security_name: info.securities_info.security_name,
		percent10: info.securities_info['10%'],
		percent50: info.securities_info['50%']
	} as SecuritiesInfo;
}

/**
 * 模糊查询上市公司名称
 * @param stockCompanyName
 */
export function searchStockList(stockCompanyName: string) {
	return post<{security_names:string[]}>('/api/announce/search_name', { security_name: stockCompanyName });
}