import {defineConfig} from 'vite'
import react from '@vitejs/plugin-react'
import {makeOffline} from "vite-plugin-make-offline";
import dayjs from 'dayjs'
import {AppConfig, BuildEnvName} from './config'

export default defineConfig(({mode}) => {
    if (BuildEnvName === 'prod') mode = 'production';
    if (BuildEnvName === 'dev') mode = 'development';
    const APP_CONFIG = AppConfig[mode] || AppConfig.development
    APP_CONFIG.ENV_MODE = mode;

    return {
        plugins: [
            react(),
            makeOffline(),
        ],
        define: {
            buildVersion: JSON.stringify(dayjs().format('YYYY-MM-DD HH:mm:ss')),
            APP_CONFIG
        },
        base: APP_CONFIG.PUBLIC_PATH,
    }
})
